Bug 1417761 - Huawei cinder driver is always enforcing QOS on backend side
Summary: Huawei cinder driver is always enforcing QOS on backend side
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 12.0 (Pike)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On: 1561746
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 21:57 UTC by nalmond
Modified: 2019-07-10 15:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1561746 (view as bug list)
Environment:
Last Closed: 2019-07-10 15:43:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 439264 0 None None None 2019-07-10 15:43:47 UTC

Description nalmond 2017-01-30 21:57:49 UTC
Description of problem:
When using QOS for cinder volume, the huawei cinder driver attempts to enforce QOS on the backend even if consumer is set to front-end (nova). If the SAN is not able to do QOS, volume creation fails.

Version-Release number of selected component (if applicable):
openstack-cinder-8.1.1-2

How reproducible:
Every time a volume with QOS is created

Steps to Reproduce:
1. Use Huawei backend that doesn't support QOS
2. Set QOS consumer to front-end
3. Create volume

Actual results:
Volume creation fails

Expected results:
Volume creation succeeds

Additional info:
Modifying the driver by adding: https://github.com/huaweistorage/OpenStack_Driver/blob/master/Cinder/Mitaka/smartx.py#L48-L50 allows this to function correctly.

Comment 3 zhouweigang09 2017-07-21 07:51:03 UTC
Hi,

Huawei Cinder driver has fix this on Mitaka, Please check the path:
https://review.openstack.org/#/c/485489

BTW, for Openstack Newton and Ocata, I will provide the fixed path link soon.

Comment 4 zhouweigang09 2017-07-25 01:34:47 UTC
For openstack Ocata to fix Qos, Please find the path below:
https://review.openstack.org/#/c/486597/

Comment 6 Eric Harney 2017-07-26 13:07:08 UTC
(In reply to zhouweigang09 from comment #3)
> Huawei Cinder driver has fix this on Mitaka, Please check the path:
> https://review.openstack.org/#/c/485489
> 
> BTW, for Openstack Newton and Ocata, I will provide the fixed path link soon.

This change needs to be backported to upstream driverfixes/newton as well before we can land it in OSP9.  Otherwise there is a regression for users updating from OSP9 to OSP10 if we fix this only in OSP9.

Comment 7 zhouweigang09 2017-07-28 01:31:18 UTC
(In reply to Eric Harney from comment #6)
> (In reply to zhouweigang09 from comment #3)
> > Huawei Cinder driver has fix this on Mitaka, Please check the path:
> > https://review.openstack.org/#/c/485489
> > 
> > BTW, for Openstack Newton and Ocata, I will provide the fixed path link soon.
> 
> This change needs to be backported to upstream driverfixes/newton as well
> before we can land it in OSP9.  Otherwise there is a regression for users
> updating from OSP9 to OSP10 if we fix this only in OSP9.


Hello Eric,

This fixed is backported to upstream driverfixes/newton in below path:
https://review.openstack.org/#/c/487680

Please go ahead.

Comment 10 Tzach Shefi 2018-04-04 06:07:51 UTC
Set OtherQA, no such backend to verify this on.


Note You need to log in before you can comment on or make changes to this bug.